Subject: RE: [ipcdn] RE: Tos field - SubMgt and other IPCDN MIBs

From: [email-masked]
Date: Wed, 26 Feb 2003 08:28:25 -0500

Colleagues:

Page 3 of RFC  3260 seems to consign the last remnants of "TOS byte" to the
dustbin of history. Consequently, per Erik & Bert's point, I'm proposing to
change docsSubMgtPktFilterTosValue and docsSubMgtPktFilterTosMask from type
OCTET STRING (SIZE(1)) to be:

docsSubMgtPktFilterDscpValue
    SYNTAX Dscp          -- 0..63    RFC 3289: DIFFSERV-DSCP-TC
docsSubMgtPktFilterDscpMask
    SYNTAX Dscp

That is, these are now 6-bit fields instead of 8 bits. The Mask is a slight
misuse of the 'Dscp' Textual Convention, but I think it's intuitive enough.

For consistency across IPCDN, there are several other MIBs which may want
to consider similar changes:

Docsis device MIB:
    docsDevFilterIpTos/Mask, docsDevFilterTosTable, ...

QoS MIB
           docsQosPktClassIpTosLow
           docsQosPktClassIpTosHigh
           docsQosPktClassIpTosMask

PacketCable event management MTA MIB
       (introduced in glossary; doesn't appear to be used)

PacketCable Signaling MIB
     pktcSigDefCallSigTos
     pktcSigDefMediaStreamTos

(I didn't look at the cablehome mibs)

Comments? Suggestions?

- Wilson

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn